﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Data;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace WebGridTest
{
    public partial class _Default : System.Web.UI.Page
    {
        protected override void OnInit(EventArgs e)
        {
            base.OnInit(e);
            this._ultraGridEmployees.Load += new EventHandler(_ultraGridEmployees_Load);


        }

        void _ultraGridEmployees_Load(object sender, EventArgs e)
        {

            DataSet ptsd = new DataSet();

            DataTable ptdt = new DataTable();
            ptdt.TableName = "ptdt";
            DataColumn dc = new DataColumn("ID");
            ptdt.Columns.Add(dc);
            dc = new DataColumn("Name");
            ptdt.Columns.Add(dc);

            DataRow row;

                row = ptdt.NewRow();
                row["ID"] = 1;
                row["Name"] = "One";
                ptdt.Rows.Add(row);
                row = ptdt.NewRow();
                row["ID"] = 2;
                row["Name"] = "Two";
                ptdt.Rows.Add(row);
            

            ptsd.Tables.Add(ptdt);


            this.payTypeProvider.EditorControl.DataSource = ptsd;
            //this.payTypeProvider.EditorControl.DataSource = payTypeList;
            this.payTypeProvider.EditorControl.ValueField = "ID";
            this.payTypeProvider.EditorControl.TextField = "Name";
            this.payTypeProvider.EditorControl.DataBind();

            this.ddlPayType.DataSource = ptsd;
            this.ddlPayType.DataTextField = "Name";
            this.ddlPayType.DataValueField = "ID";
            this.ddlPayType.DataBind();

         
        }
        private void BindGrid()
        {
            _ultraGridEmployees.Behaviors.EditingCore.Behaviors.RowAdding.Enabled = false;
            this._ultraGridEmployees.Rows.Clear();
            DataSet ds = new DataSet();
            DataColumn[] keys = new DataColumn[1];
            DataTable dt = new DataTable();
            //dt = TimesheetGrid.CreateEmployeeDataTable();
            //dt.Columns.Add(TimesheetGrid.EmployeeID);
            dt.Columns.Add("payType");
            dt.Columns.Add("reimbursement", typeof(Boolean));
            dt.Columns.Add("thiskey");
            keys[0] = dt.Columns["thiskey"];
            dt.PrimaryKey = keys;

            dt.Rows.Add(
                        new object[] 
                    {
                        "One",
                        false,
                        0
                        
                    });

            ds.Tables.Add(dt);

            this._ultraGridEmployees.DataSource = ds;
            this._ultraGridEmployees.DataBind();
        }
        protected void Page_Load(object sender, EventArgs e)
        {
            BindGrid();
        }
    }
}
